using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
{
        public static void Main()
        {
// register item to the mod api
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Baseball Bat"), //item to derive from
        NameOverride = "NoodleDog (Old) [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Old NoodleDog :(", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("noodledog/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("noodledog/noodledog.png");
            Instance.FixColliders();
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Baseball Bat"), //item to derive from
        NameOverride = "NoodleDog [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Higher quality NoodleDog", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("noodledog2/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("noodledog2/noodledog.png");
            Instance.FixColliders();
        }
    }
);



            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Frying Pan [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "You just got monkey bunked!", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("pan/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pan/pan.png");
                        Instance.FixColliders();
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Hammer"), //item to derive from
        NameOverride = "Sledgehammer [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "'Did you just say you dont like boneworks all that much? I'm gonna cave your skull!'", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("sledgehammer/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sledgehammer/sledgehammer.png");
            Instance.FixColliders();
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "Hatchet [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Either use it to chop a tree or chop a nullbody's head off.", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("hatchet/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hatchet/hatchet.png");
        Instance.FixColliders();
        }
    }
);



ModAPI.Register(
    new Modification()
    {
                    OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Combat Knife [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "DEFINITLY NOT THE STANDARD KNIFE WITH SLIGHT CHANGES !!!", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("combatknife/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("combatknife/combatknife.png");
            Instance.FixColliders();
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Assassin's Blade [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "For stabbin' in the back. Who knows why it's called an 'assassin's blade', it's not very discrete and small like you'd expect one to be. ", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("assassinblade/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assassinblade/assassinblade.png");
            Instance.FixColliders();
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Hammer"), //item to derive from
        NameOverride = "Crowbar [BWP: Melee]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "It took me this long to make this because I was lazy.", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("crowbar/thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("crowbar/crowbar.png");
            Instance.FixColliders();
        }
    }
);

        }
    }
}